Summary:        Error/exception handling in an OO-ish way
Name:           perl-Error
Version:        0.17029
Release:        5%{?dist}
License:        (GPL+ or Artistic) and MIT
URL:            https://metacpan.org/release/Error
Source0:        https://cpan.metacpan.org/modules/by-module/Error/Error-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils, findutils
BuildRequires:  make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp), perl(overload), perl(Exporter), perl(overload)
BuildRequires:  perl(Scalar::Util), perl(strict), perl(vars), perl(warnings)
BuildRequires:  perl(base), perl(blib), perl(File::Spec), perl(IO::Handle)
BuildRequires:  perl(IPC::Open3), perl(lib), perl(Test::More)
Requires:       perl(Carp)

%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}

%description
The Error package provides two interfaces. Firstly Error provides a
procedural interface to exception handling. Secondly Error is a base
class for errors/exceptions that can either be thrown, for subsequent
catch, or can simply be recorded.

%prep
%autosetup -n Error-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc ChangeLog Changes README examples/
%{perl_vendorlib}/Error.pm
%{perl_vendorlib}/Error/
%{_mandir}/man3/Error.3*
%{_mandir}/man3/Error::Simple.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17029-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.17029-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17029-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17029-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 cunshunxia <cunshunxia@tencent.com> - 0.17029-1
- initial build
